type Tag {
title: String!
projects: [Project] @relation
thoughts: [Thought] @relation
}

type Query {
   allProjects: [Project!] @index(name: "all_projects")
   allThoughts: [Thought!] @index(name: "all_thoughts")
   allTags: [Tag!] @index(name: "all_tags")
}

type Project {
   title: String!
   content: String!
   tags: [Tag] @relation
   date: Date
}

type Thought {
   title: String!
   content: String!
   tags: [Tag] @relation
   date: Date
}

type Contact {
   name: String!
   email: String 
   number: String 
   website: String
}

type Resume {
	name: String!
	job: String!
	img: String!
	contact: Contact!
	experience: BasicContent!
	skills: BasicContent!
	Education: BasicContent!
	About: BasicContent!
}

type BasicContent {
discription: String!
content: [String!]
}

type WebsiteSection {
	discription: String!
	content: BasicContent
}
